%define major	2
%define libname %mklibname %{name} %{major}

%define subrel 1
Summary:	Opal Library
Name:		opal
Version:	2.2.6
Release:	%mkrel 1
License:	MPL
Group:		System/Libraries
URL:		http://www.openh323.org/
Source0:	http://www.ekiga.org/admin/downloads/latest/sources/sources/%{name}-%{version}.tar.bz2
# (fc) 2.1.2-1mdk fix libname
Patch0:		opal-2.1.3-libname.patch
Patch1:		opal-2.2.2-CVE-2007-4924.patch

BuildRequires:	gawk
BuildRequires:	openssl-devel
BuildRequires:	openldap-devel
BuildRequires:	pwlib-devel >= 1.10.0
BuildRequires:	libspeex-devel
BuildRequires:	XFree86-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This is a Open Source class library for the development of
applications that wish to use SIP / H.323 protocols for multi-media
communications over packet based networks.

%package -n	%{libname}
Summary:	Opal Library
Group:		System/Libraries

%description -n	%{libname}
Shared library for OPAL (SIP / H323 stack).

%package -n	%{libname}-devel
Summary:	Opal development files
Group:		Development/C
Requires:	%{libname} = %{version}-%{release} 
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{libname}-devel
Header files and libraries for developing applications that use
Opal.

%prep

%setup -q
%patch0 -p1 -b .libname
%patch1 -p1 -b .cve-2007-4924

%build
%configure2_5x \
    --enable-localspeex \
    --enable-h263avcodec 

%make OPTCCFLAGS="" RPM_OPT_FLAGS="" 

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%post -p /sbin/ldconfig -n %{libname}

%postun -p /sbin/ldconfig -n %{libname}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc mpl-1.0.htm
%attr(0755,root,root) %{_libdir}/lib*.so.%{major}*

%files -n %{libname}-devel
%defattr(-,root,root)
%attr(0755,root,root) %{_libdir}/*.so
%{_includedir}/*
%{_datadir}/opal


%changelog
* Fri Nov 02 2007 Vincent Danen <vdanen@mandriva.com> 2.2.6-1.1mdv2007.1
- P1: security fix for CVE-2007-4924

* Sun Mar 11 2007 Götz Waschk <waschk@mandriva.org> 2.2.6-1mdv2007.1
+ Revision: 141415
- new version

* Wed Feb 14 2007 Götz Waschk <waschk@mandriva.org> 2.2.5-1mdv2007.1
+ Revision: 120705
- new version

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 2.2.4-1mdv2007.1
+ Revision: 111679
- new version
- unpack patch
- drop patch 1

* Sat Dec 30 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.2.3-2mdv2007.1
+ Revision: 102714
- patch1: fix DTMF with SIP using rfc2833
- Import opal



* Mon Sep 04 2006 Frederic Crozat <fcrozat@mandriva.com> 2.2.3-1mdv2007.0
- Release 2.2.3

* Tue Jun 06 2006 Götz Waschk <waschk@mandriva.org> 2.2.2-1mdk
- New release 2.2.2

* Tue Mar 14 2006 Götz Waschk <waschk@mandriva.org> 2.2.1-1mdk
- source URL
- new version

* Mon Mar 13 2006 Götz Waschk <waschk@mandriva.org> 2.2.0-1mdk
- bump deps
- New release 2.2.0

* Wed Feb 15 2006 Frederic Crozat <fcrozat@mandriva.com> 2.1.3-3mdk
- Update patch0 : fix SONAME

* Wed Feb 15 2006 Frederic Crozat <fcrozat@mandriva.com> 2.1.3-2mdk
- Don't use cflags two times
- Enable IAX

* Tue Feb 14 2006 Götz Waschk <waschk@mandriva.org> 2.1.3-1mdk
- New release 2.1.3

* Wed Jan 18 2006 Frederic Crozat <fcrozat@mandriva.com> 2.1.2-1mdk
- First mdk package (based on openh323 one)
- Patch0: fix libname
